AMC

Correction automatisée de formulaires QCM

Vous avez des problèmes pour l'installation d'AMC ? Utilisez le forum dédié sur le site du projet AMC (enregistrez-vous pour pouvoir y écrire).

Installation sur une distribution Ubuntu

À partir de Ubuntu 11.04 (Natty Narwhal)

Le paquet auto-multiple-choice est disponible sur le dépôt officiel d'Ubuntu. Utilisez votre outil préféré pour l'installer (Logithèque Ubuntu, Synaptic, etc.)

Toutes versions d'Ubuntu, version récente d'AMC

Si vous souhaitez utiliser une version plus récente d'AMC, intégrant certaines fonctionnalités nouvelles, mais qui sera sans doute un peu moins stable, préférez le dépôt AMC pour version en test :

ppa:alexis.bienvenue/amc

Cette adresse de dépôt peut être ajoutée grâce à l'interface graphique de gestion des dépôts (voir documentation sur le site http://www.ubuntu-fr.org/).

Vous n'aurez plus qu'à marquer le paquet auto-multiple-choice pour installation, et valider.

Version de développement

Vous souhaitez utiliser la version de développement, encore plus récente ? Préférez le dépôt de test d'AMC :

ppa:alexis.bienvenue/test

Le paquet de ce dépôt est mis à jour très régulièrement sur la base de la version de développement d'AMC : idéal pour tester les toutes nouvelles fonctionnalités (et nouveaux bogues).

Anciennes version d'Ubuntu, version stable d'AMC

La dernière version stable est la 1.4.0, sortie le 29 décembre 2018.

Pour l'installer, utilisez le dépôt Ubuntu du projet :

ppa:alexis.bienvenue/amc-stable

En plus du paquet auto-multiple-choice, le dépôt contient quelques autres paquets afin de régler divers anciens bugs de logiciels utilisés par AMC :

  • Le paquet libnet-cups-perl est proposé à la version 0.60-1 car un bug présent dans la version 0.59-1 (version présente dans Ubuntu jusqu'à 9.10 Karmic Koala) fait s'arrêter prématurément AMC lors de la demande d'impression des copies.
  • Trois paquets concernant ImageMagick sont proposés à la version 6.5.5 car un bug présent dans des versions antérieures (qui sont par défaut dans Ubuntu jusqu'à 9.10 Karmic Koala) empêche la fabrication des fichiers PDF de copies corrigées dans le cas où chaque copie conprend plusieurs pages.

En utilisant le dépôt Ubuntu AMC, vous permettrez à ces versions de s'installer sur votre système facilement (si vous n'avez pas déjà des versions plus récentes, bien entendu).

Et encore...

Vous pouvez aussi essayer de trouver votre bonheur dans l'espace de téléchargement. Il contient entre autres quelques versions antérieures du logiciel. Enfin, le code source de la version de développement est téléchargeable directement depuis le dépôt du projet.